Docs
Get Resource States
GET /resource-states
GET
/resource-statesLists the resource states ordered by sortOrder. States are what rules put a resource into and what rate card rows price, and isInUse says whether deleting one would be refused. Requires ResourceTypeDatabase.Read.
Response
Type: GetResourceStateResponse[]
GetResourceStateResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| color | string| null | |
| icon | string| null | |
| sortOrder | integer | |
| isArchived | boolean | |
| isInUse | boolean |